Redmine - Patch #30739

Project Custom Fields configuration : split by tracker
2019-02-04 15:28 - Jérome BATAILLE

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Custom fields Estimated time: 0.00 hour
Target version: Candidate for next major release

Description

This patch splits Custom Fields Fieldset in Sub-Blocks :
e Custom Fields for All trackers
e Custom Fields for Multiple trackers
e Custom Fields for a specific tracker

This is quite more clear to show Custom Fiels Configuration by tracker.

The check/uncheck all Javascript link has been removed for Custom Fields configured for all trackers.
History

#1 - 2019-02-04 17:34 - Jérome BATAILLE
- File RM_30739_Project_Custom_Fields_configuration_-_split_by _tracker_git.diff added
- File RM_30739_Project_Custom_Fields_configuration -_split_by_tracker_svn.diff added

Please review this simple patch, that is mainly bringing appearance changes, no feature change.

The JS call to select/unselect all block Custom Fields has been personalized for each block also.
| have also used existing translations, | think it remains understandable.

#2 - 2019-02-19 15:21 - Jérome BATAILLE

Hi, can you review this simple patch ? | think this makes Project Custom Fields configuration quite more clear.

#3 - 2019-02-20 05:21 - Go MAEDA

- Target version set to Candidate for next major release

#4 - 2019-03-08 19:18 - Jérome BATAILLE
- File RM_30739_Project_Custom_Fields_configuration -_split_by_tracker_svn.diff added

Performance fix applied.

#5 - 2019-04-21 15:49 - Jérome BATAILLE

- File custom_fields_configuration_by _tracker_before.png added

Hi, Thanks to plan this for the next Major release.
Could this simple patch be integrated in V4.1 ?

It seems quick to review. The only thing that could be enhanced it to calculate separated custom fields lists in the controller action.

To view the difference with the previous layout, here is a scree capture :
#6 - 2019-12-10 18:51 - Jérome BATAILLE

| suppose we can close this issue as it was integrated in the following plugin :
http://www.redmine.org/plugins/redmine_smile_project _enumerations_custom_field_format

#7 - 2019-12-10 19:02 - Jérome BATAILLE

- File custom_fields_configuration_by_tracker.png added
